LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 10-18-2010, 11:37 AM   #1
pmarian
LQ Newbie
 
Registered: Oct 2010
Location: Romania
Distribution: CentOS 5.5 x86_64
Posts: 5

Rep: Reputation: 0
error installing monit and munim


hi there,

I tried to install munim and monit on my CentOS 5.5 x86_64 based server but inadvertently i've installed i386 rpm instead of x86_64 version.

Now, when i try to install the x86_64 version i recive the next dependency error:

Code:
 --> Missing Dependency: perl(Net::SNMP) is needed by package munin-node-1.2.5-2.el5.rf.noarch (rpmforge)
munin-1.2.5-2.el5.rf.noarch from rpmforge has depsolving problems
  --> Missing Dependency: perl(RRDs) is needed by package munin-1.2.5-2.el5.rf.noarch (rpmforge)
munin-1.2.5-2.el5.rf.noarch from rpmforge has depsolving problems
  --> Missing Dependency: perl-Net-Server is needed by package munin-1.2.5-2.el5.rf.noarch (rpmforge)
munin-node-1.2.5-2.el5.rf.noarch from rpmforge has depsolving problems
  --> Missing Dependency: perl(Net::Server::Fork) is needed by package munin-node-1.2.5-2.el5.rf.noarch (rpmforge)
rrdtool-1.4.4-1.el5.rf.x86_64 from rpmforge has depsolving problems
  --> Missing Dependency: ruby is needed by package rrdtool-1.4.4-1.el5.rf.x86_64 (rpmforge)
munin-node-1.2.5-2.el5.rf.noarch from rpmforge has depsolving problems
  --> Missing Dependency: perl-Net-Server is needed by package munin-node-1.2.5-2.el5.rf.noarch (rpmforge)
rrdtool-1.4.4-1.el5.rf.x86_64 from rpmforge has depsolving problems
  --> Missing Dependency: perl(RRDp) is needed by package rrdtool-1.4.4-1.el5.rf.x86_64 (rpmforge)
rrdtool-1.4.4-1.el5.rf.x86_64 from rpmforge has depsolving problems
  --> Missing Dependency: perl(RRDs) is needed by package rrdtool-1.4.4-1.el5.rf.x86_64 (rpmforge)
munin-1.2.5-2.el5.rf.noarch from rpmforge has depsolving problems
  --> Missing Dependency: perl(HTML::Template) is needed by package munin-1.2.5-2.el5.rf.noarch (rpmforge)
munin-node-1.2.5-2.el5.rf.noarch from rpmforge has depsolving problems
  --> Missing Dependency: perl(LWP::Simple) is needed by package munin-node-1.2.5-2.el5.rf.noarch (rpmforge)
munin-1.2.5-2.el5.rf.noarch from rpmforge has depsolving problems
  --> Missing Dependency: perl-Net-SNMP is needed by package munin-1.2.5-2.el5.rf.noarch (rpmforge)
munin-1.2.5-2.el5.rf.noarch from rpmforge has depsolving problems
  --> Missing Dependency: perl(Date::Manip) is needed by package munin-1.2.5-2.el5.rf.noarch (rpmforge)
Error: Missing Dependency: perl(Net::SNMP) is needed by package munin-node-1.2.5-2.el5.rf.noarch (rpmforge)
Error: Missing Dependency: perl-Net-Server is needed by package munin-node-1.2.5-2.el5.rf.noarch (rpmforge)
Error: Missing Dependency: perl(Date::Manip) is needed by package munin-1.2.5-2.el5.rf.noarch (rpmforge)
Error: Missing Dependency: perl(Net::Server::Fork) is needed by package munin-node-1.2.5-2.el5.rf.noarch (rpmforge)
Error: Missing Dependency: perl-Net-Server is needed by package munin-1.2.5-2.el5.rf.noarch (rpmforge)
Error: Missing Dependency: perl(RRDs) is needed by package rrdtool-1.4.4-1.el5.rf.x86_64 (rpmforge)
Error: Missing Dependency: perl-Net-SNMP is needed by package munin-1.2.5-2.el5.rf.noarch (rpmforge)
Error: Missing Dependency: perl(HTML::Template) is needed by package munin-1.2.5-2.el5.rf.noarch (rpmforge)
Error: Missing Dependency: perl(LWP::Simple) is needed by package munin-node-1.2.5-2.el5.rf.noarch (rpmforge)
Error: Missing Dependency: perl(RRDs) is needed by package munin-1.2.5-2.el5.rf.noarch (rpmforge)
Error: Missing Dependency: perl(RRDp) is needed by package rrdtool-1.4.4-1.el5.rf.x86_64 (rpmforge)
Error: Missing Dependency: ruby is needed by package rrdtool-1.4.4-1.el5.rf.x86_64 (rpmforge)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.
What i have to do in this matter ?

Regards
 
Old 11-02-2010, 11:05 PM   #2
quanta
Member
 
Registered: Aug 2007
Location: Vietnam
Distribution: RedHat based, Debian based, Slackware, Gentoo
Posts: 724

Rep: Reputation: 100Reputation: 100
What exactly command did you use?

PS: munin, not munim.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Monit grob115 Linux - Server 3 02-28-2010 06:53 AM
monit configuration error (calling ext. script) thehungrycoder Linux - Server 3 10-19-2009 12:58 PM
[SOLVED] Monit won't start DrStrangepork Linux - Software 2 10-13-2009 11:22 AM
help me setup monit please :) steve51184 Linux - Server 2 08-03-2009 03:43 AM
Monit parameters linuxfia Linux - Software 8 06-04-2009 10:55 AM


All times are GMT -5. The time now is 07:00 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration